## pyzoltan 1.0.1

=== requirements.txt ===
cyarray
Cython>=0.20
setuptools>=6.0
numpy
pytest
mpi4py>=1.2

=== debian/changelog ===
pyzoltan (1.0.1-6) unstable; urgency=medium

  * Standards version bumped to 4.6.2 (no changes).
  * debian/control:
    - Use the <!nocheck> marker.
    - Switch to autopkgtest-pkg-pybuild.
    - Add dependency on dh-sequence-numpy3 and dh-sequence-python3.
    - Bump debhelper version to 13.
  * Update dates in d/copyright.
  * New d/clean (Closes: #1046891).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 16 Aug 2023 16:22:13 +0000

pyzoltan (1.0.1-5) unstable; urgency=medium

  * Standards version bumped to 4.6.1 (non changes).
  * debian/copyright:
    - fix d/copyright formatting
    - update copyright date.
  * Fix lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 31 Oct 2022 07:07:44 +0000

pyzoltan (1.0.1-4) unstable; urgency=medium

  * Update watch file to use tags instead of releases.
  * Update copyright file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 01 Dec 2021 18:59:00 +0000

pyzoltan (1.0.1-3) unstable; urgency=medium

  * Standards version buped to 4.6.0 (no changes).
  * Update the debian/watch file.
  * debian/patches:
    - add Forwarded field to all patches.
  * New debian/python3-pyzoltan.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Sep 2021 09:27:03 +0000

pyzoltan (1.0.1-2) unstable; urgency=medium

  * [3a7ac5f] Set Standards-Verstion to 4.5.0. No changes

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Apr 2020 21:54:56 +0200

pyzoltan (1.0.1-1) unstable; urgency=low

  * Initial version (Closes: 948118)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 10:10:52 +0000

=== debian/control ===
Source: pyzoltan
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               libtrilinos-zoltan-dev,
               mpi-default-dev,
               python3-all-dev,
               python3-cyarray,
               python3-mpi4py,
               python3-numpy,
               python3-pkg-resources,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/pyzoltan
Vcs-Git: https://salsa.debian.org/science-team/pyzoltan.git
Homepage: https://github.com/pypr/pyzoltan
Rules-Requires-Root: no

Package: python3-pyzoltan
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Wrapper for the Zoltan data management library
 PyZoltan is as the name suggests, is a Python wrapper for the
 Zoltan data management library.
 .
 In PyZoltan, only specific routines and objects are wrapped.
 The following features of Zoltan are currently supported:
 .
  * Dynamic load balancing using geometric algorithms
  * Unstructured point-to-point communication
  * Distributed data directories

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export USE_TRILINOS=1
export ZOLTAN_INCLUDE=/usr/include/trilinos
export ZOLTAN_LIBRARY=/usr/lib
NPROCS?=2
export NPROCS

export PYBUILD_NAME=pyzoltan
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

## pyzoltan 1.1.1

=== requirements.txt ===
cyarray
Cython
setuptools>=6.0
numpy
pytest
mpi4py>=1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyZoltan
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pyzoltan (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standaeds version bumped to 4.7.2, no changes.
  * debian/patches:
    - Drop 0002-Package-data.patch, 0003-Spelling.patch,
      0004-Compatibility-with-cython-v3.x.patch,
      0005-Remove-cython-from-runtime-dependencies.patch and
      0006-MPI4-compat.patch, applied upstream.
    - Refresh and renumber remaining patches.
    - New 0002-Fix-subprocess-arguments.patch.
    - New 0003-No-distutils.patch.
  * Set upstream metadata fields: Documentation.
  * debian/control:
    - Add dependency on pybuild-plugin-pyproject.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 19 Aug 2025 10:51:40 +0000

pyzoltan (1.0.1-12) unstable; urgency=medium

  * debian/control:
    - Drop obsolete dependency on python3-pkg-resources
      (Closes: #1083734).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Oct 2024 11:12:22 +0000

pyzoltan (1.0.1-11) unstable; urgency=medium

  * debian/control:
    - Depend on mpi4py (>= 4.0.0).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 29 Sep 2024 06:29:17 +0000

pyzoltan (1.0.1-10) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * Update dates in d/copyright.
  * debian/patches:
    - New 0006-MPI4-compat.patch (Closes: #1081631).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Sep 2024 12:57:45 +0000

pyzoltan (1.0.1-9) unstable; urgency=medium

  * debian/patches:
    - New 0005-Remove-cython-from-runtime-dependencies.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 11 Dec 2023 07:43:45 +0000

pyzoltan (1.0.1-8) unstable; urgency=medium

  * debian/patches:
    - New 0004-Compatibility-with-cython-v3.x.patch
      (Closes: #1056879).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Nov 2023 22:29:55 +0000

pyzoltan (1.0.1-7) unstable; urgency=medium

  * debian/rules:
    - Set NPROC to 1 to be able to work with builders with
      a single core (Closes: #1055625).
  * debian/control:
    - Do not use the undefined ${python3:Recommends} and
      ${python3:Suggests}.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Nov 2023 07:36:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                libtrilinos-zoltan-dev,
                mpi-default-dev,
                python3-all-dev,
                python3-cyarray,
-               python3-mpi4py,
+               python3-mpi4py (>= 4.0.0),
                python3-numpy,
-               python3-pkg-resources,
                python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/pyzoltan
 Vcs-Git: https://salsa.debian.org/science-team/pyzoltan.git
 Homepage: https://github.com/pypr/pyzoltan
@@ -29,8 +29,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: Wrapper for the Zoltan data management library
  PyZoltan is as the name suggests, is a Python wrapper for the
  Zoltan data management library.

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyzoltan)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyzoltan-$1.$2/,\
repacksuffix=+ds \
https://github.com/pypr/pyzoltan/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyzoltan)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
